<?php
/**
 * AuthenticationApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * AuthenticationApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class AuthenticationApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for checkPhoneVerificationCode
     *
     * Check user phone verification code.
     *
     */
    public function testCheckPhoneVerificationCode()
    {
    }

    /**
     * Test case for doAuth
     *
     * Authenticate user by given username and password..
     *
     */
    public function testDoAuth()
    {
    }

    /**
     * Test case for sendEmailVerificationCode
     *
     * Send user email verification.
     *
     */
    public function testSendEmailVerificationCode()
    {
    }

    /**
     * Test case for sendPhoneVerificationCode
     *
     * Send user phone verification.
     *
     */
    public function testSendPhoneVerificationCode()
    {
    }

    /**
     * Test case for updatePassword
     *
     * Change user password..
     *
     */
    public function testUpdatePassword()
    {
    }
}
